<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="10" weblate-flags="read-only">
        <source>Serializer Stream Operations</source>
        <target state="translated">Serializer Stream Operations</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="320672e3cc25561a" weblate-flags="read-only">
        <source>Non-trivial algorithms need to do more than send entire messages at once, such as:</source>
        <target state="translated">Non-trivial algorithms need to do more than send entire messages at once, such as:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="84461daeedb55a47" weblate-flags="read-only">
        <source>* Send the header first, and the body later.</source>
        <target state="translated">* Send the header first, and the body later.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">15</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e9f1c4729b07a32f" weblate-flags="read-only">
        <source>* Send a message incrementally: bounded work in each I/O cycle.</source>
        <target state="translated">* Send a message incrementally: bounded work in each I/O cycle.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">17</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e848e745281e4247" weblate-flags="read-only">
        <source>* Use a series of caller-provided buffers to represent the body.</source>
        <target state="translated">* Use a series of caller-provided buffers to represent the body.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: list</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63efa2b0279314fd" weblate-flags="read-only">
        <source>These tasks may be performed by using the serializer stream interfaces. To use these interfaces, first construct an appropriate serializer from the message to be sent:</source>
        <target state="translated">These tasks may be performed by using the serializer stream interfaces. To use these interfaces, first construct an appropriate serializer from the message to be sent:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5d8eb0b66c697817" weblate-flags="read-only">
        <source>Serializer</source>
        <target state="translated">Serializer</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25" weblate-flags="read-only">
        <source>Name</source>
        <target state="translated">Name</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25" weblate-flags="read-only">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5109c7350e92fc33" weblate-flags="read-only">
        <source>__serializer__</source>
        <target state="translated">__serializer__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="83e57f038255de7b" weblate-flags="read-only">
        <source>/// Provides buffer oriented HTTP message serialization functionality.
template&lt;
bool isRequest,
class Body,
class Fields = fields
&gt;
class serializer;</source>
        <target state="translated">/// Provides buffer oriented HTTP message serialization functionality.
template&lt;
bool isRequest,
class Body,
class Fields = fields
&gt;
class serializer;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table code</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="78f1f84d725c6760" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__request_serializer `request_serializer`]</source>
        <target state="translated">[link beast.ref.boost__beast__http__request_serializer `request_serializer`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="584a01dd7ab81aff" weblate-flags="read-only">
        <source>/// A serializer for HTTP/1 requests
template&lt;
class Body,
class Fields = fields
&gt;
using request_serializer = serializer&lt;true, Body, Fields&gt;;</source>
        <target state="translated">/// A serializer for HTTP/1 requests
template&lt;
class Body,
class Fields = fields
&gt;
using request_serializer = serializer&lt;true, Body, Fields&gt;;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table code</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="657f9c493d7c6762" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__response_serializer `response_serializer`]</source>
        <target state="translated">[link beast.ref.boost__beast__http__response_serializer `response_serializer`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9952dcd01216ffe3" weblate-flags="read-only">
        <source>/// A serializer for HTTP/1 responses
template&lt;
class Body,
class Fields = fields
&gt;
using response_serializer = serializer&lt;false, Body, Fields&gt;;</source>
        <target state="translated">/// A serializer for HTTP/1 responses
template&lt;
class Body,
class Fields = fields
&gt;
using response_serializer = serializer&lt;false, Body, Fields&gt;;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table code</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1271a1f03d1f4628" weblate-flags="read-only">
        <source>The choices for template types must match the message passed on construction. This code creates an HTTP response and the corresponding serializer:</source>
        <target state="translated">The choices for template types must match the message passed on construction. This code creates an HTTP response and the corresponding serializer:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">66</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b3b2dd6cbd6c3e4" weblate-flags="read-only">
        <source>The stream operations which work on serializers are:</source>
        <target state="translated">The stream operations which work on serializers are:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">71</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="73" weblate-flags="read-only">
        <source>Serializer Stream Operations</source>
        <target state="translated">Serializer Stream Operations</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="73" weblate-flags="read-only">
        <source>Name</source>
        <target state="translated">Name</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="73" weblate-flags="read-only">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="881b8e8cbde281aa" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__write.overload1 [*write]]</source>
        <target state="translated">[link beast.ref.boost__beast__http__write.overload1 [*write]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="512f65e77fd3ca65" weblate-flags="read-only">
        <source>Send everything in a __serializer__ to a __SyncWriteStream__.</source>
        <target state="translated">Send everything in a __serializer__ to a __SyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b869c749b4decc2b" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__async_write.overload1 [*async_write]]</source>
        <target state="translated">[link beast.ref.boost__beast__http__async_write.overload1 [*async_write]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f61b72f3f6697375" weblate-flags="read-only">
        <source>Send everything in a __serializer__ asynchronously to an __AsyncWriteStream__.</source>
        <target state="translated">Send everything in a __serializer__ asynchronously to an __AsyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a78591fe96245f07" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__write_header.overload1 [*write_header]]</source>
        <target state="translated">[link beast.ref.boost__beast__http__write_header.overload1 [*write_header]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="808c022fcc2bfc3f" weblate-flags="read-only">
        <source>Send only the header from a __serializer__ to a __SyncWriteStream__.</source>
        <target state="translated">Send only the header from a __serializer__ to a __SyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="06064d36581d5895" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__async_write_header [*async_write_header]]</source>
        <target state="translated">[link beast.ref.boost__beast__http__async_write_header [*async_write_header]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6b807cd18680c991" weblate-flags="read-only">
        <source>Send only the header from a __serializer__ asynchronously to an __AsyncWriteStream__.</source>
        <target state="translated">Send only the header from a __serializer__ asynchronously to an __AsyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63350ebaee608200" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__write_some.overload1 [*write_some]]</source>
        <target state="translated">[link beast.ref.boost__beast__http__write_some.overload1 [*write_some]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="071ee4f454419e1f" weblate-flags="read-only">
        <source>Send part of a __serializer__ to a __SyncWriteStream__.</source>
        <target state="translated">Send part of a __serializer__ to a __SyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c8e219b4354a46c3" weblate-flags="read-only">
        <source>[link beast.ref.boost__beast__http__async_write_some [*async_write_some]]</source>
        <target state="translated">[link beast.ref.boost__beast__http__async_write_some [*async_write_some]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d7f2a2212251f57e" weblate-flags="read-only">
        <source>Send part of a __serializer__ asynchronously to an __AsyncWriteStream__.</source>
        <target state="translated">Send part of a __serializer__ asynchronously to an __AsyncWriteStream__.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">73</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c1b506af1334b627" weblate-flags="read-only">
        <source>Here is an example of using a serializer to send a message on a stream synchronously. This performs the same operation as calling `write(stream, m)`:</source>
        <target state="translated">Here is an example of using a serializer to send a message on a stream synchronously. This performs the same operation as calling `write(stream, m)`:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">107</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
    </body>
  </file>
</xliff>
